Bug 819055 - Rhythmbox misbehaves if album is not in database
Rhythmbox misbehaves if album is not in database
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhythmbox (Show other bugs)
6.2
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 13:05 EDT by o.h.weiergraeber
Modified: 2017-05-01 04:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description o.h.weiergraeber 2012-05-04 13:05:00 EDT
Description of problem:
If Rhythmbox opens a newly inserted CD, it first displays tracks with a generic name (track xyz...). It then automatically tries to find the album in the MusicBrainz database.
If this lookup fails (i.e., the album is not (yet) in the database), the track list immediately disappears! At this point the user is not able to do anything with these tracks (in particular playing them) since there is nothing to select.
This means that the program is completely useless if a CD is not found in the database!


Version-Release number of selected component (if applicable):
rhythmbox-0.12.8-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Insert CD which is not in MusicBrainz database
2. Open Rhythmbox
  
Actual results:
No tracks listed after database lookup.

Expected results:
Tracks should continue to be displayed with generic names.

Additional info:
Comment 2 RHEL Product and Program Management 2012-07-10 04:46:15 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 21:51:32 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 RHEL Product and Program Management 2012-09-07 01:37:46 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.